package com.goafanti.order.service;

import java.util.List;

import com.goafanti.order.bo.InputNewOrderDunBo;
import com.goafanti.order.bo.OutNewOrderDunBo;
import com.goafanti.order.bo.OutSelectOrderDun;
import com.goafanti.order.bo.OutSelectOrderDunAll;

public interface NewOrderDunService {

	int createDun(InputNewOrderDunBo ib);
	
	int updateDun(InputNewOrderDunBo ib);
	
	int deleteDun(Integer id);
	
	List<OutNewOrderDunBo> selectListNewOrderDun(String orderNo);

	OutNewOrderDunBo selectDun(Integer id);

	/**
	   *     获取特批订单催款信息
	 * @return
	 */
	List<OutNewOrderDunBo> selectAllOrderDun();


    List<OutSelectOrderDunAll> selectOrderDunAll(String depId, String startDate, String endDate,Integer sort);

	List<OutSelectOrderDun> selectOrderDun(String depId, String depName, String aid, String aName,Integer sort,Integer province,String startDate, String endDate);
}
